summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-06-27 17:09:57 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-06-27 17:09:57 +0000
commitcc35694a87dfab1afbf429bedf67e2ef63003f3d (patch)
tree1b8d26bd9690792b641ceece0ffd679b5ed5ffe9 /ci/deploy.sh
parent34eb2c179049e295d665bd683bd1e3566540844c (diff)
parent8dcd9367c05f7e87918694c50404313c0b976b35 (diff)
Merge "Add ovs-dpdk deploy options check"
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 6d75bac..5009049 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -143,6 +143,17 @@ parse_deploy_settings() {
echo -e "${red}ERROR: Failed to parse deploy settings file $DEPLOY_SETTINGS_FILE ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses baremetal yaml settings into compatible json